Bug 664305 - libvpx exists in both RHEL 6 and EPEL for RHEL 6
Summary: libvpx exists in both RHEL 6 and EPEL for RHEL 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libvpx
Version: el6
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-19 18:51 UTC by David Egts
Modified: 2012-10-18 04:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-18 04:17:19 UTC
Type: ---


Attachments (Terms of Use)

Description David Egts 2010-12-19 18:51:28 UTC
Description of problem:

libvpx is in RHEL 6.  A newer version of libvpx is in EPEL for RHEL 6.  A yum update of libvpx will replace the commercially supported RHEL 6 package with the community supported EPEL package.

Community supported EPEL packages should not replace commercially supported packages in RHEL.

Perhaps the commercially supported package should be updated to support the latest updates in EPEL and the EPEL version be removed?


Version-Release number of selected component (if applicable):

libvpx-0.9.0-7.el6.x86_64 (on RHN)
libvpx-0.9.5-2.el6.x86_64 (on EPEL)


How reproducible:  100%


Steps to Reproduce:
1. Ensure the EPEL repo isn't enabled.
2. yum install libvpx
3. Note that libvpx is pulled from the RHEL 6 channel in RHN.
4. Enable the EPEL repo.
5. yum update
6. Note that an update for libvpx is in EPEL but not in RHN.
  

Actual results:

A yum update of libvpx will update the commercially supported RHEL 6 package with the community supported EPEL package.


Expected results:

A yum update of any commercially supported RHEL package should not be replaced by a community supported package from EPEL.

Comment 1 Nicolas Chauvet (kwizart) 2012-05-02 13:37:47 UTC
This problem is solved, see #812828 for the next step.

Comment 2 Kevin Fenzi 2012-10-18 04:17:19 UTC
This is blocked and no longer in EPEL.


Note You need to log in before you can comment on or make changes to this bug.